Get run details
curl --request GET \
--url https://api.trycordage.com/api/webhooks/{key}/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trycordage.com/api/webhooks/{key}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trycordage.com/api/webhooks/{key}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trycordage.com/api/webhooks/{key}/runs/{runId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trycordage.com/api/webhooks/{key}/runs/{runId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trycordage.com/api/webhooks/{key}/runs/{runId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trycordage.com/api/webhooks/{key}/runs/{runId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"run_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "running",
"created_at": "2024-01-15T10:30:00Z",
"completed_at": null,
"metadata": {
"type": "webhook",
"node_count": 5,
"webhook_key": "wh_abc123xyz"
},
"outputs": null
}
Runs
Get Run Details
Retrieves the current status and outputs of a specific workflow run. Poll this endpoint to track workflow progress and retrieve generated outputs.
Rate Limit: 120 requests per minute per API key.
GET
/
{key}
/
runs
/
{runId}
Get run details
curl --request GET \
--url https://api.trycordage.com/api/webhooks/{key}/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trycordage.com/api/webhooks/{key}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trycordage.com/api/webhooks/{key}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trycordage.com/api/webhooks/{key}/runs/{runId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trycordage.com/api/webhooks/{key}/runs/{runId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trycordage.com/api/webhooks/{key}/runs/{runId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trycordage.com/api/webhooks/{key}/runs/{runId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"run_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "running",
"created_at": "2024-01-15T10:30:00Z",
"completed_at": null,
"metadata": {
"type": "webhook",
"node_count": 5,
"webhook_key": "wh_abc123xyz"
},
"outputs": null
}
Authorizations
API key authentication. Get your API key from the workspace settings.
Example: Authorization: Bearer cordage_xxxxxxxxxxxx
Path Parameters
The webhook key
Example:
"wh_abc123xyz"
The run ID returned from the trigger endpoint
Example:
"550e8400-e29b-41d4-a716-446655440000"
Response
Run details retrieved successfully
Unique identifier for this workflow run
The current status of a workflow run
Available options:
pending, running, completed, failed, cancelled When the run was started
When the run completed (null if still running)
Metadata about the workflow run
Show child attributes
Show child attributes
URLs of generated output files (available when status is 'completed')
⌘I
